Bug 175266 - port audio/libmtp is miscategorized: it should be sysutils/libmtp
port audio/libmtp is miscategorized: it should be sysutils/libmtp
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Gerald Pfeifer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-13 18:20 UTC by yuri
Modified: 2014-03-09 19:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yuri 2013-01-13 18:20:00 UTC
libmtp (MTP file transfer protocol) may have been first used for audio players, but it is primarily a file transfer protocol. It is currently used in many portable devices, primarily cellphones, to mount device filesystem on the host OS.

So the proper location is sysutils/libmtp
Comment 1 Carlo Strub freebsd_committer 2013-03-31 08:56:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 2 Carlo Strub freebsd_committer 2013-04-17 20:06:33 UTC
State Changed
From-To: open->feedback

Just a clarifying question. If it is a file transfer protocol, why not put it into "net"?
Comment 3 yuri 2013-04-17 20:11:50 UTC
On 04/17/2013 12:07, cs@FreeBSD.org wrote:
> Just a clarifying question. If it is a file transfer protocol, why not put it into "net"?


Maybe, but it doesn't work through network. It works only through USB.

Yuri
Comment 4 Carlo Strub freebsd_committer 2013-04-17 20:53:49 UTC
State Changed
From-To: feedback->open

Postpone until ports tree is fully reopened. There are too many ports involved with this name change.
Comment 5 Carlo Strub freebsd_committer 2013-06-26 22:05:05 UTC
Responsible Changed
From-To: cs->freebsd-ports-bugs

Back to pool.
Comment 6 Gerald Pfeifer freebsd_committer 2014-03-09 00:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald

Looking into it...
Comment 7 Gerald Pfeifer freebsd_committer 2014-03-09 15:42:34 UTC
State Changed
From-To: open->feedback

I am not sure there is an ideal categorization, but wouldn't be 
multimedia/ be a better compromise than audio/ (current) or 
sysutils (very generic)? 

The sourceforge hierarchy also has it under 
Home / Browse / Audio & Video / Multimedia / libmtp 

And it's the Media Transfer Protocol (MTP), a superset of the Picture 
Transfer Protocol (PTP).
Comment 8 yuri 2014-03-09 17:39:42 UTC
Agree, multimedia/ is also a good choice.
Comment 9 dfilter freebsd_committer 2014-03-09 18:14:57 UTC
Author: gerald
Date: Sun Mar  9 18:14:50 2014
New Revision: 347678
URL: http://svnweb.freebsd.org/changeset/ports/347678
QAT: https://qat.redports.org/buildarchive/r347678/

Log:
  Move libmtp from audio to multimedia.
  
  PR:		175266
  Requested by:	yuri@tsoft.com

Added:
  head/multimedia/libmtp/
     - copied from r347675, head/audio/libmtp/
Deleted:
  head/audio/libmtp/
Modified:
  head/MOVED
  head/audio/Makefile
  head/multimedia/Makefile

Modified: head/MOVED
==============================================================================
--- head/MOVED	Sun Mar  9 18:10:18 2014	(r347677)
+++ head/MOVED	Sun Mar  9 18:14:50 2014	(r347678)
@@ -5618,3 +5618,4 @@ databases/mysql-udf-preg||2014-03-08|Has
 devel/py-gitpython||2014-03-08|Has expired: No more public distfiles
 net/mars_nwe||2014-03-08|Has expired: No more public distfiles
 audio/fmio||2014-03-08|Has expired: No more public distfiles
+audio/libmtp|multimedia/libmtp|2014-03-09|Moved from audio to multimedia

Modified: head/audio/Makefile
==============================================================================
--- head/audio/Makefile	Sun Mar  9 18:10:18 2014	(r347677)
+++ head/audio/Makefile	Sun Mar  9 18:14:50 2014	(r347678)
@@ -379,7 +379,6 @@
     SUBDIR += libmp3splt
     SUBDIR += libmpd
     SUBDIR += libmpdclient
-    SUBDIR += libmtp
     SUBDIR += libmusicbrainz3
     SUBDIR += libmusicbrainz4
     SUBDIR += libmusicbrainz5

Modified: head/multimedia/Makefile
==============================================================================
--- head/multimedia/Makefile	Sun Mar  9 18:10:18 2014	(r347677)
+++ head/multimedia/Makefile	Sun Mar  9 18:14:50 2014	(r347678)
@@ -174,6 +174,7 @@
     SUBDIR += libmovtar
     SUBDIR += libmpeg2
     SUBDIR += libmpeg3
+    SUBDIR += libmtp
     SUBDIR += libquicktime
     SUBDIR += libquicktime-lame
     SUBDIR += libquvi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2014-03-09 19:40:48 UTC
Author: gerald
Date: Sun Mar  9 19:40:40 2014
New Revision: 347686
URL: http://svnweb.freebsd.org/changeset/ports/347686
QAT: https://qat.redports.org/buildarchive/r347686/

Log:
  Chase the move of libmtp from audio to multimedia.
  
  PR:		175266
  Reported by:	makc, cperciva

Modified:
  head/audio/amarok-kde4/Makefile
  head/audio/clementine-player/Makefile
  head/audio/gmtp/Makefile
  head/multimedia/banshee/Makefile
  head/sysutils/mtpfs/Makefile

Modified: head/audio/amarok-kde4/Makefile
==============================================================================
--- head/audio/amarok-kde4/Makefile	Sun Mar  9 19:05:59 2014	(r347685)
+++ head/audio/amarok-kde4/Makefile	Sun Mar  9 19:40:40 2014	(r347686)
@@ -56,7 +56,7 @@ MP3TUNES_LIB_DEPENDS=	libloudmouth-1.so:
 MP3TUNES_USE=		GNOME=glib20,libxml2
 MP3TUNES_CMAKE_OFF=	-DWITH_MP3tunes:BOOL=Off
 
-MTP_LIB_DEPENDS=	libmtp.so:${PORTSDIR}/audio/libmtp
+MTP_LIB_DEPENDS=	libmtp.so:${PORTSDIR}/multimedia/libmtp
 MTP_CMAKE_OFF=		-DWITH_Mtp:BOOL=Off
 
 NLS_USES=		gettext

Modified: head/audio/clementine-player/Makefile
==============================================================================
--- head/audio/clementine-player/Makefile	Sun Mar  9 19:05:59 2014	(r347685)
+++ head/audio/clementine-player/Makefile	Sun Mar  9 19:40:40 2014	(r347686)
@@ -133,7 +133,7 @@ CMAKE_ARGS+=	-DENABLE_LIBLASTFM=OFF
 
 .if ${PORT_OPTIONS:MMTP}
 CMAKE_ARGS+=	-DENABLE_LIBMTP=ON
-LIB_DEPENDS+=	libmtp.so:${PORTSDIR}/audio/libmtp
+LIB_DEPENDS+=	libmtp.so:${PORTSDIR}/multimedia/libmtp
 .else
 CMAKE_ARGS+=	-DENABLE_LIBMTP=OFF
 .endif

Modified: head/audio/gmtp/Makefile
==============================================================================
--- head/audio/gmtp/Makefile	Sun Mar  9 19:05:59 2014	(r347685)
+++ head/audio/gmtp/Makefile	Sun Mar  9 19:40:40 2014	(r347686)
@@ -12,7 +12,7 @@ COMMENT=	Media Transfer Protocol (MTP) G
 
 LICENSE=	BSD
 
-LIB_DEPENDS=	libmtp.so:${PORTSDIR}/audio/libmtp \
+LIB_DEPENDS=	libmtp.so:${PORTSDIR}/multimedia/libmtp \
 		libid3tag.so:${PORTSDIR}/audio/libid3tag \
 		libFLAC.so:${PORTSDIR}/audio/flac \
 		libvorbis.so:${PORTSDIR}/audio/libvorbis

Modified: head/multimedia/banshee/Makefile
==============================================================================
--- head/multimedia/banshee/Makefile	Sun Mar  9 19:05:59 2014	(r347685)
+++ head/multimedia/banshee/Makefile	Sun Mar  9 19:40:40 2014	(r347686)
@@ -93,7 +93,7 @@ PLIST_SUB+=	APPLEDEV="@comment "
 
 .if ${PORT_OPTIONS:MMTP}
 CONFIGURE_ARGS+=--enable-mtp
-LIB_PC_DEPENDS+=${LOCALBASE}/libdata/pkgconfig/libmtp.pc:${PORTSDIR}/audio/libmtp
+LIB_PC_DEPENDS+=${LOCALBASE}/libdata/pkgconfig/libmtp.pc:${PORTSDIR}/multimedia/libmtp
 PLIST_SUB+=	OPT_MTP=""
 .else
 CONFIGURE_ARGS+=--disable-mtp

Modified: head/sysutils/mtpfs/Makefile
==============================================================================
--- head/sysutils/mtpfs/Makefile	Sun Mar  9 19:05:59 2014	(r347685)
+++ head/sysutils/mtpfs/Makefile	Sun Mar  9 19:40:40 2014	(r347686)
@@ -9,7 +9,7 @@ MASTER_SITES=	http://www.adebenham.com/f
 MAINTAINER=	john@pcbsd.org
 COMMENT=	MTP device filesystem
 
-LIB_DEPENDS=	mtp:${PORTSDIR}/audio/libmtp \
+LIB_DEPENDS=	mtp:${PORTSDIR}/multimedia/libmtp \
 		id3-3.8:${PORTSDIR}/audio/id3lib \
 		id3tag:${PORTSDIR}/audio/libid3tag \
 		mad:${PORTSDIR}/audio/libmad
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Gerald Pfeifer freebsd_committer 2014-03-09 19:51:54 UTC
State Changed
From-To: feedback->closed

Move completed.